Func FirefoxVersionCheck()
	If FileExists (IniRead (@ScriptDir & "\" & @UserName & " " & "settings.ini", "settings", "foxdir", "")) = 0 Then
		;MsgBox(64,"Error",'Unable to get "firefox.exe" product version.'&@CRLF&'       "firefox.exe" location is incorrect.' &@CRLF& '  Please correct the problem and try again.')
		;Why bother asking, just have user to browse for firefox.exe
	Else
		$Vers = FileGetVersion (IniRead (@ScriptDir & "\" & @UserName & " " & "settings.ini", "settings", "foxdir", ""),"ProductVersion")
		$InstalledVersion = StringReplace ($Vers,".","")
		$SavedVersion = IniRead (@ScriptDir & "\" & @UserName & " " & "settings.ini", "Information", "savedversion", "")
		If $SavedVersion = "" Then
			IniWrite(@ScriptDir & "\" & @UserName & " " & "settings.ini", "Information", "savedversion",$InstalledVersion)
		ElseIf $InstalledVersion = "3.6.10" Then ;this is to fix the transition from 3.6.9 to 3.6.10, because 3.6.9 is greater then 3.6.10 (its stupid i know but its a fact)
			IniWrite(@ScriptDir & "\" & @UserName & " " & "settings.ini", "Information", "savedversion",$InstalledVersion)
		ElseIf $InstalledVersion = "100" Then ;this is to fix the transition from 9.0.1 to 10.0, because 9.0.1 is greater then 10.0 (its stupid i know but its a fact)
			IniWrite(@ScriptDir & "\" & @UserName & " " & "settings.ini", "Information", "savedversion",$InstalledVersion)
		ElseIf StringReplace ($SavedVersion,".","") < StringReplace ($InstalledVersion,".","") Then ;i replace each . with nothing so that result would be plain number. Its easier to figure out if ifs greater or not.
			IniWrite(@ScriptDir & "\" & @UserName & " " & "settings.ini", "Information", "savedversion",$InstalledVersion)
		ElseIf StringReplace ($SavedVersion,".","") > StringReplace ($InstalledVersion,".","") Then
			MsgBox(16,"Warning", "Saved data was created from firefox v" & $SavedVersion &  @crlf & "Installed FireFox version is v" & $InstalledVersion & @CRLF & "To avoid problems Please install FireFox v" & $SavedVersion & " or above to continue.")
			RegWrite ("HKEY_CURRENT_USER\Software\Firefox loader", "First_Run", "REG_SZ", "1")
			MsgBox (0,'',StringReplace ($SavedVersion,".",""))
			Exit
		EndIf
	EndIf
EndFunc
